pkg 1.8.7 segmentation fault

Stari Karp starikarp at yandex.com
Tue Jul 12 22:48:26 UTC 2016


Hi!

I have a problem with pkg 1.8.7 on  10.3-RELEASE-p4 FreeBSD 10.3-
RELEASE-p4 #0: Sat May 28 12:23:44 UTC 2016     root at amd64-builder.daem
onology.net:/usr/obj/usr/src/sys/GENERIC  amd64


I use Synth and today I try
pkg upgrade -f and I got:

pkg upgrade -f
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
Updating Synth repository catalogue...
Synth repository is up-to-date.
All repositories are up-to-date.
Checking for upgrades (1422 candidates):   2%
pkg: xplanet-1.3.0_9: duplicate dependency listing: png, ignoring
pkg: xplanet-1.3.0_9: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):   5%
pkg: xcursorgen-1.0.6_1: duplicate dependency listing: png, ignoring
pkg: xcursorgen-1.0.6_1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):   7%
pkg: webp-0.5.0: duplicate dependency listing: png, ignoring
pkg: webp-0.5.0: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):   7%
pkg: webkit2-gtk3-2.8.5_5: duplicate dependency listing: png, ignoring
pkg: webkit2-gtk3-2.8.5_5: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):   8%
pkg: vlc-qt4-2.2.4,4: duplicate dependency listing: png, ignoring
pkg: vlc-qt4-2.2.4,4: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):   8%
pkg: vigra-1.11.0_1: duplicate dependency listing: png, ignoring
pkg: vigra-1.11.0_1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):   9%
pkg: tracker-1.6.1_3: duplicate dependency listing: png, ignoring
pkg: tracker-1.6.1_3: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  10%
pkg: texlive-base-20150521_10: duplicate dependency listing: png,
ignoring
pkg: texlive-base-20150521_10: duplicate dependency listing: png,
ignoring
Checking for upgrades (1422 candidates):  10%
pkg: tex-web2c-20150521_1: duplicate dependency listing: png, ignoring
pkg: tex-web2c-20150521_1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  10%
pkg: tex-basic-engines-20150521: duplicate dependency listing: png,
ignoring
pkg: tex-basic-engines-20150521: duplicate dependency listing: png,
ignoring
Checking for upgrades (1422 candidates):  14%
pkg: sdl_image-1.2.12_9: duplicate dependency listing: png, ignoring
pkg: sdl_image-1.2.12_9: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  16%
pkg: qt5-webkit-5.5.1_3: duplicate dependency listing: png, ignoring
pkg: qt5-webkit-5.5.1_3: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  17%
pkg: qt5-gui-5.5.1_1: duplicate dependency listing: png, ignoring
pkg: qt5-gui-5.5.1_1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  19%
pkg: qt4-imageformats-4.8.7: duplicate dependency listing: png,
ignoring
pkg: qt4-imageformats-4.8.7: duplicate dependency listing: png,
ignoring
Checking for upgrades (1422 candidates):  19%
pkg: qt4-gui-4.8.7_1: duplicate dependency listing: png, ignoring
pkg: qt4-gui-4.8.7_1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  26%
pkg: py27-gimp-2.8.16: duplicate dependency listing: png, ignoring
pkg: py27-gimp-2.8.16: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  28%
pkg: poppler-utils-0.40.0: duplicate dependency listing: png, ignoring
pkg: poppler-utils-0.40.0: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  28%
pkg: poppler-qt4-0.40.0: duplicate dependency listing: png, ignoring
pkg: poppler-qt4-0.40.0: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  29%
pkg: poppler-glib-0.40.0: duplicate dependency listing: png, ignoring
pkg: poppler-glib-0.40.0: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  29%
pkg: poppler-0.40.0: duplicate dependency listing: png, ignoring
pkg: poppler-0.40.0: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  34%
pkg: openjpeg15-1.5.2_1: duplicate dependency listing: png, ignoring
pkg: openjpeg15-1.5.2_1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  34%
pkg: openjpeg-2.1.1: duplicate dependency listing: png, ignoring
pkg: openjpeg-2.1.1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  35%
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  36%
pkg: netpbm-10.35.98: duplicate dependency listing: png, ignoring
pkg: netpbm-10.35.98: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  37%
pkg: mjpegtools-2.1.0_7: duplicate dependency listing: png, ignoring
pkg: mjpegtools-2.1.0_7: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  41%
pkg: libzvbi-0.2.35_3: duplicate dependency listing: png, ignoring
pkg: libzvbi-0.2.35_3: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  42%
pkg: libxul-45.2.0_2: duplicate dependency listing: png, ignoring
pkg: libxul-45.2.0_2: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  43%
pkg: libwmf-0.2.8.4_15: duplicate dependency listing: png, ignoring
pkg: libwmf-0.2.8.4_15: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  43%
pkg: libvncserver-0.9.10_1: duplicate dependency listing: png, ignoring
pkg: libvncserver-0.9.10_1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  45%
pkg: libslang2-2.3.0: duplicate dependency listing: png, ignoring
pkg: libslang2-2.3.0: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  45%
pkg: librsvg2-2.40.13: duplicate dependency listing: png, ignoring
pkg: librsvg2-2.40.13: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  45%
pkg: libreoffice-5.0.6_2: duplicate dependency listing: png, ignoring
pkg: libreoffice-5.0.6_2: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  46%
pkg: libqrencode-3.4.4_1: duplicate dependency listing: png, ignoring
pkg: libqrencode-3.4.4_1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  49%
pkg: libkate-0.4.1_6: duplicate dependency listing: png, ignoring
pkg: libkate-0.4.1_6: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  51%
pkg: libgd-2.1.1,1: duplicate dependency listing: png, ignoring
pkg: libgd-2.1.1,1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  57%
pkg: lensfun-0.3.2: duplicate dependency listing: png, ignoring
pkg: lensfun-0.3.2: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  58%
pkg: jbig2dec-0.13: duplicate dependency listing: png, ignoring
pkg: jbig2dec-0.13: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  60%
pkg: imlib2-1.4.9,2: duplicate dependency listing: png, ignoring
pkg: imlib2-1.4.9,2: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  64%
pkg: gstreamer1-plugins-png-1.8.0: duplicate dependency listing: png,
ignoring
pkg: gstreamer1-plugins-png-1.8.0: duplicate dependency listing: png,
ignoring
Checking for upgrades (1422 candidates):  71%
pkg: gstreamer-plugins-libpng-0.10.31_2,3: duplicate dependency
listing: png, ignoring
pkg: gstreamer-plugins-libpng-0.10.31_2,3: duplicate dependency
listing: png, ignoring
Checking for upgrades (1422 candidates):  72%
pkg: gstreamer-plugins-gl-0.10.3_5: duplicate dependency listing: png,
ignoring
pkg: gstreamer-plugins-gl-0.10.3_5: duplicate dependency listing: png,
ignoring
Checking for upgrades (1422 candidates):  74%
pkg: graphviz-2.38.0_12: duplicate dependency listing: png, ignoring
pkg: graphviz-2.38.0_12: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  82%
pkg: gimp-app-2.8.16_2,1: duplicate dependency listing: png, ignoring
pkg: gimp-app-2.8.16_2,1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  82%
pkg: ghostscript9-agpl-base-9.16_5: duplicate dependency listing: png,
ignoring
pkg: ghostscript9-agpl-base-9.16_5: duplicate dependency listing: png,
ignoring
Checking for upgrades (1422 candidates):  82%
pkg: gegl3-0.3.4_1: duplicate dependency listing: png, ignoring
pkg: gegl3-0.3.4_1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  83%
pkg: gegl-0.2.0_14: duplicate dependency listing: png, ignoring
pkg: gegl-0.2.0_14: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  83%
pkg: geeqie-1.3: duplicate dependency listing: png, ignoring
pkg: geeqie-1.3: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  83%
pkg: gdk-pixbuf2-2.32.3_1: duplicate dependency listing: png, ignoring
pkg: gdk-pixbuf2-2.32.3_1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  84%
pkg: freetype2-2.6.3: duplicate dependency listing: png, ignoring
pkg: freetype2-2.6.3: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  88%
pkg: firefox-47.0.1_2,1: duplicate dependency listing: png, ignoring
pkg: firefox-47.0.1_2,1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  92%
pkg: cups-filters-1.9.0: duplicate dependency listing: png, ignoring
pkg: cups-filters-1.9.0: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  95%
pkg: cairo-1.14.6,2: duplicate dependency listing: png, ignoring
pkg: cairo-1.14.6,2: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  96%
pkg: blender-2.76b_1: duplicate dependency listing: png, ignoring
pkg: blender-2.76b_1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  99%
pkg: ImageMagick-6.9.4.3,1: duplicate dependency listing: png, ignoring
pkg: ImageMagick-6.9.4.3,1: duplicate dependency listing: png, ignoring
Checking for upgrades (1422 candidates):  99%
pkg: GraphicsMagick-1.3.24,1: duplicate dependency listing: png,
ignoring
pkg: GraphicsMagick-1.3.24,1: duplicate dependency listing: png,
ignoring
Checking for upgrades (1422 candidates): 100%
Processing candidates (1422 candidates):   0%
pkg: gdk-pixbuf2-2.32.3_1: duplicate dependency listing: png, ignoring
pkg: freetype2-2.6.3: duplicate dependency listing: png, ignoring
pkg: cairo-1.14.6,2: duplicate dependency listing: png, ignoring
pkg: cairo-1.14.6,2: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):   0%
pkg: libgd-2.1.1,1: duplicate dependency listing: png, ignoring
pkg: graphviz-2.38.0_12: duplicate dependency listing: png, ignoring
pkg: graphviz-2.38.0_12: duplicate dependency listing: png, ignoring
pkg: graphviz-2.38.0_12: duplicate dependency listing: png, ignoring
pkg: webp-0.5.0: duplicate dependency listing: png, ignoring
pkg: libwmf-0.2.8.4_15: duplicate dependency listing: png, ignoring
pkg: librsvg2-2.40.13: duplicate dependency listing: png, ignoring
pkg: openjpeg-2.1.1: duplicate dependency listing: png, ignoring
pkg: ImageMagick-6.9.4.3,1: duplicate dependency listing: png, ignoring
pkg: ImageMagick-6.9.4.3,1: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):   0%
pkg: webkit2-gtk3-2.8.5_5: duplicate dependency listing: png, ignoring
pkg: webkit2-gtk3-2.8.5_5: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):   1%
pkg: gdk-pixbuf2-2.32.3_1: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):   2%
pkg: netpbm-10.35.98: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):   7%
pkg: libwmf-0.2.8.4_15: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):   7%
pkg: libkate-0.4.1_6: duplicate dependency listing: png, ignoring
pkg: libkate-0.4.1_6: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):   8%
pkg: qt4-gui-4.8.7_1: duplicate dependency listing: png, ignoring
pkg: imlib2-1.4.9,2: duplicate dependency listing: png, ignoring
pkg: webp-0.5.0: duplicate dependency listing: png, ignoring
pkg: openjpeg15-1.5.2_1: duplicate dependency listing: png, ignoring
pkg: libzvbi-0.2.35_3: duplicate dependency listing: png, ignoring
pkg: sdl_image-1.2.12_9: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):   9%
pkg: poppler-0.40.0: duplicate dependency listing: png, ignoring
pkg: poppler-glib-0.40.0: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):   9%
pkg: tracker-1.6.1_3: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):  10%
pkg: jbig2dec-0.13: duplicate dependency listing: png, ignoring
pkg: ghostscript9-agpl-base-9.16_5: duplicate dependency listing: png,
ignoring
Processing candidates (1422 candidates):  16%
pkg: qt5-gui-5.5.1_1: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):  18%
pkg: qt5-webkit-5.5.1_3: duplicate dependency listing: png, ignoring
pkg: qt5-webkit-5.5.1_3: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):  26%
pkg: gegl-0.2.0_14: duplicate dependency listing: png, ignoring
pkg: gimp-app-2.8.16_2,1: duplicate dependency listing: png, ignoring
pkg: gimp-app-2.8.16_2,1: duplicate dependency listing: png, ignoring
pkg: gimp-app-2.8.16_2,1: duplicate dependency listing: png, ignoring
pkg: gimp-app-2.8.16_2,1: duplicate dependency listing: png, ignoring
pkg: gimp-app-2.8.16_2,1: duplicate dependency listing: png, ignoring
pkg: gimp-app-2.8.16_2,1: duplicate dependency listing: png, ignoring
pkg: gimp-app-2.8.16_2,1: duplicate dependency listing: png, ignoring
pkg: gimp-app-2.8.16_2,1: duplicate dependency listing: png, ignoring
pkg: gimp-app-2.8.16_2,1: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):  28%
pkg: libqrencode-3.4.4_1: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):  30%
pkg: vlc-qt4-2.2.4,4: duplicate dependency listing: png, ignoring
pkg: vlc-qt4-2.2.4,4: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):  34%
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):  38%
pkg: libslang2-2.3.0: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):  65%
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
pkg: opencv-2.4.9_8: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):  65%
pkg: mjpegtools-2.1.0_7: duplicate dependency listing: png, ignoring
pkg: mjpegtools-2.1.0_7: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):  77%
pkg: gegl3-0.3.4_1: duplicate dependency listing: png, ignoring
pkg: tracker-1.6.1_3: duplicate dependency listing: png, ignoring
pkg: gegl3-0.3.4_1: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates):  81%
pkg: lensfun-0.3.2: duplicate dependency listing: png, ignoring
Processing candidates (1422 candidates): 100%
Child process pid=1461 terminated abnormally: Segmentation fault

Thank you.



More information about the freebsd-questions mailing list